%define source_name	usb-modeswitch

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		usb_modeswitch
Version:	1.1.3
Release:	1
BuildArch:	i686
Summary:	USB Modeswitch gets 4G cards in operational mode
Group:		System
License:	GPLv2+
URL:		http://www.draisberghof.de/usb_modeswitch/
Source0: 	http://www.draisberghof.de/%{name}/%{source_name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	usb_modeswitch-data
BuildRequires:	libusb-devel

%description
USB Modeswitch brings up your datacard into operational mode. When plugged
in they identify themselves as cdrom and present some non-Linux compatible
installation files. This tool deactivates this cdrom-devices and enables
the real communication device. It supports most devices built and
sold by Huawei, T-Mobile, Vodafone, Option, ZTE, Novatel.

%prep
%setup -q -n %{source_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/udev/rules.d/
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}

install -p -m 755 usb_modeswitch $RPM_BUILD_ROOT%{_sbindir}/
install -p -m 644 usb_modeswitch.conf $RPM_BUILD_ROOT%{_sysconfdir}/
gzip -9c usb_modeswitch.1 > usb_modeswitch.1.gz && install -m 644 usb_modeswitch.1.gz $RPM_BUILD_ROOT%{_datadir}/man/man1
install -p -m 755 usb_modeswitch.tcl $RPM_BUILD_ROOT/lib/udev/usb_modeswitch

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sbindir}/usb_modeswitch
%{_mandir}/man1/usb_modeswitch.1.gz
/lib/udev/usb_modeswitch
%config(noreplace) %{_sysconfdir}/usb_modeswitch.conf
%doc COPYING README ChangeLog device_reference.txt 


%changelog
* Mon Jul 05 2010 Christian Metzen <metzench@ccux-linux.de> 1.1.3-1
- Initial CCux package release
